
#import <UIKit/UIKit.h>

@class	GameBoardTile;

@interface GamePieceView : UIView {
	
	id				delegate;
	NSArray*		imageArray;
	int				imageIndex;
	CGPoint			moveLocation;
	BOOL			isMoveing;
	float			speed;
	GameBoardTile*	tile;
}

@property (nonatomic, assign) id	delegate;
@property (nonatomic, retain) NSArray*	imageArray;
@property (assign) int imageIndex;
@property (assign) float speed;
@property (assign) BOOL isMoveing;
@property (retain) GameBoardTile*	tile;

-(id)initWithFrame:(CGRect)frame Images:(NSArray*)images Delegate:(id)del;
-(void)moveWith:(GameBoardTile*)movTile;
-(void)movePosition:(CGPoint)position;
-(void)moveCancelPosition;

@end


//プロトコル宣言
@protocol GamePieceViewDelegate

-(void) gamePieceCAMoveStart:(GamePieceView*)piece Position:(CGPoint)pt;
-(void) gamePieceCAMoveEnd:(GamePieceView*)piece Position:(CGPoint)pt Finish:(BOOL)isFinish;

@end


